<p>employee-details works!</p>
 <div class="container">
        <div class="table-wrapper">
            <div class="table-title">
                <div class="row">
                    <div class="col-sm-8"><h2>Employee <b>Details</b></h2></div>
                    <div class="col-sm-4">
                        <button type="button" class="btn btn-info add-new" (click) = "createNew()"><i class="fa fa-plus"></i> Add New</button>
                    </div>
                </div>
            </div>
            <table class="table table-bordered table-striped">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Department</th>
                        <th>Phone</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor = "let employee of employees">
                        <td *ngIf = "!employee.isEditable">{{employee.Name}}</td>
                         <td *ngIf = "employee.isEditable"><input type="text" *ngIf = "employee.isEditable" class="form-control" 
                         [(ngModel)] ="employee.Name" value="employee.Name"></td>
                        <td>{{employee.Department}}</td>
                        <td>{{employee.Phone}}</td>
                        <td>
							<a *ngIf = "employee.isEditable" class="add" (click) = "update(employee)" title="Save" ngbTooltip = "Save"><i class="material-icons">&#xe161;</i></a>
                            <a *ngIf = "!employee.isEditable"class="edit" (click) = "setEditState(employee,true)" title="Edit" ngbTooltip = "Edit"><i class="material-icons">&#xE254;</i></a>
                            <a *ngIf = "employee.isEditable" class="cancel" (click) = "setEditState(employee,false)" title="Cancel" ngbTooltip = "Cancel"><i class="material-icons">&#xe5c9;</i></a>
                            <a *ngIf = "!employee.isEditable" class="delete" (click)="delete(employee)"title="Delete" ngbTooltip = "Delete"><i class="material-icons">&#xE872;</i></a>
                        </td>
                    </tr>
                    <tr *ngIf="isAddedNew">  
                        <td><input type="text" class="form-control" [(ngModel)] ="empModel.Name"></td>
                        <td><input type="text" class="form-control" [(ngModel)] ="empModel.Department"></td>
                        <td><input type="text" class="form-control" [(ngModel)] ="empModel.Phone"></td>
                        <td>
                            <a class="add" (click) = "create()" title="Add" ngbTooltip = "Add"><i class="fa fa-plus" aria-hidden="true"></i></a>
                            <a class="cancel" (click) = "setAddedState()" title="cancel"ngbTooltip = "Cancel"><i class="fa fa-times" aria-hidden="true"></i></a>
                        </td>
                    
                    </tr>                 
                </tbody>
            </table>
        </div>
    </div>   